//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2011.02.14 at 01:38:06 PM MEZ 
//


package info.textgrid.lab.workflow.servicedescription;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the info.textgrid.lab.workflow.servicedescription package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Name_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "name");
    private final static QName _Description_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "description");
    private final static QName _Subject_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "subject");
    private final static QName _Email_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "email");
    private final static QName _Operation_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "operation");
    private final static QName _Lastmodificationdate_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "lastmodificationdate");
    private final static QName _Institution_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "institution");
    private final static QName _Creationdate_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "creationdate");
    private final static QName _Type_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "type");
    private final static QName _Telephonenumber_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "telephonenumber");
    private final static QName _Number_QNAME = new QName("http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", "number");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: info.textgrid.lab.workflow.servicedescription
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Input }
     * 
     */
    public Input createInput() {
        return new Input();
    }

    /**
     * Create an instance of {@link Author }
     * 
     */
    public Author createAuthor() {
        return new Author();
    }

    /**
     * Create an instance of {@link Inputs }
     * 
     */
    public Inputs createInputs() {
        return new Inputs();
    }

    /**
     * Create an instance of {@link Version }
     * 
     */
    public Version createVersion() {
        return new Version();
    }

    /**
     * Create an instance of {@link Servicedescriptiondetails }
     * 
     */
    public Servicedescriptiondetails createServicedescriptiondetails() {
        return new Servicedescriptiondetails();
    }

    /**
     * Create an instance of {@link Targetnamespace }
     * 
     */
    public Targetnamespace createTargetnamespace() {
        return new Targetnamespace();
    }

    /**
     * Create an instance of {@link Service }
     * 
     */
    public Service createService() {
        return new Service();
    }

    /**
     * Create an instance of {@link Configparameter }
     * 
     */
    public Configparameter createConfigparameter() {
        return new Configparameter();
    }

    /**
     * Create an instance of {@link Examplevalue }
     * 
     */
    public Examplevalue createExamplevalue() {
        return new Examplevalue();
    }

    /**
     * Create an instance of {@link Servicedetails }
     * 
     */
    public Servicedetails createServicedetails() {
        return new Servicedetails();
    }

    /**
     * Create an instance of {@link Descriptivedata }
     * 
     */
    public Descriptivedata createDescriptivedata() {
        return new Descriptivedata();
    }

    /**
     * Create an instance of {@link Descriptionlocation }
     * 
     */
    public Descriptionlocation createDescriptionlocation() {
        return new Descriptionlocation();
    }

    /**
     * Create an instance of {@link Output }
     * 
     */
    public Output createOutput() {
        return new Output();
    }

    /**
     * Create an instance of {@link Outputs }
     * 
     */
    public Outputs createOutputs() {
        return new Outputs();
    }

    /**
     * Create an instance of {@link Servicesubjects }
     * 
     */
    public Servicesubjects createServicesubjects() {
        return new Servicesubjects();
    }

    /**
     * Create an instance of {@link Configparameters }
     * 
     */
    public Configparameters createConfigparameters() {
        return new Configparameters();
    }

    /**
     * Create an instance of {@link Servicelicense }
     * 
     */
    public Servicelicense createServicelicense() {
        return new Servicelicense();
    }

    /**
     * Create an instance of {@link Technicaldata }
     * 
     */
    public Technicaldata createTechnicaldata() {
        return new Technicaldata();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "name")
    public JAXBElement<String> createName(String value) {
        return new JAXBElement<String>(_Name_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "description")
    public JAXBElement<String> createDescription(String value) {
        return new JAXBElement<String>(_Description_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "subject")
    public JAXBElement<String> createSubject(String value) {
        return new JAXBElement<String>(_Subject_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "email")
    public JAXBElement<String> createEmail(String value) {
        return new JAXBElement<String>(_Email_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "operation")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createOperation(String value) {
        return new JAXBElement<String>(_Operation_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "lastmodificationdate")
    public JAXBElement<XMLGregorianCalendar> createLastmodificationdate(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_Lastmodificationdate_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "institution")
    public JAXBElement<String> createInstitution(String value) {
        return new JAXBElement<String>(_Institution_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "creationdate")
    public JAXBElement<XMLGregorianCalendar> createCreationdate(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_Creationdate_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "type")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createType(String value) {
        return new JAXBElement<String>(_Type_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "telephonenumber")
    public JAXBElement<String> createTelephonenumber(String value) {
        return new JAXBElement<String>(_Telephonenumber_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11", name = "number")
    public JAXBElement<String> createNumber(String value) {
        return new JAXBElement<String>(_Number_QNAME, String.class, null, value);
    }

}
